/*
 *  TexturesWin.h
 *  ColorizeX2
 *
 *  Created by Graeme Dykes on 12/04/06.
 *  Copyright 2006 Graeme Dykes. All rights reserved.
 *
 */

#if ! defined TexturesFloatWin_h
#define TexturesFloatWin_h

#include <Carbon/Carbon.h>

#include "gdwindows.h"
#include "NativePopup.h"


class CLayer;
class ColorizeApp;


class
	TexturesFloatWin:
public
	gd::GDWindow_Floating
{
private:
	gd::NativePopup	texturesMenu;
	
public:
	TexturesFloatWin( ColorizeApp* app, const std::wstring& winName, const gd::irect& sizeRect );

	void DocumentChanged();
	void Init();
	void Draw( const gd::irect& drawArea );
	void NativeControlPressed( long controlID );
};


#endif
